use Module::Build;

my $home = $ENV{HOME};

my $build = Module::Build->new(
    module_name   => 'Peace',
    license       => 'AGPLv3',
    dist_author   => 'Sergio Iglesias <sergiotarxz@posteo.net>',
    dist_abstract => 'Peace application shop.',
    requires      => {
        'Mojolicious'          => 0,
        'DBI'                  => 0,
        'DBD::Pg'              => 0,
        'DBD::Mock'            => 0,
        'DateTime'             => 0,
        'DateTime::Format::Pg' => 0,
        'Test::Most'           => 0,
        'Test::MockObject'     => 0,
        'Test::MockModule'     => 0,
        'Test::Pod::Coverage'  => 0,
        'JSON'                 => 0,
        'YAML'                 => 0,
        'Capture::Tiny'        => 0,
    },
    install_path => {
        'templates' => "$HOME/.local/share/peace/template",
        'public'    => "$HOME/.local/share/peace/public",
    }
);
$build->create_build_script;
