package Peace::Controller::User;
use Mojo::Base 'Mojolicious::Controller';

# Action
sub post {
    my $self      = shift;
    my $user_data = $self->req->json;
    $self->render( json => $user_data );
}
1;
=encoding utf8

=head1 NAME

Peace::Controller::User - Controller for user specific actions.

=head1 FUNCTIONS

Peace::Controller::User implements the following functions.

=head2 post

For internal usage

=head1 BUGS

This file is no longer more than a template that's going
to be deleted sooner or later when the http logic begins
its development.

=head1 SEE ALSO

L<Mojolicious::Controller>
